/*

  Declaration of POSIX directory browsing functions and types for Win32.
  
    Kevlin Henney (mailto:kevlin@acm.org), March 1997.
    
      Copyright Kevlin Henney, 1997. All rights reserved.
      
        Permission to use, copy, modify, and distribute this software and its
        documentation for any purpose is hereby granted without fee, provided
        that this copyright and permissions notice appear in all copies and
        derivatives, and that no charge may be made for the software and its
        documentation except to cover cost of distribution.
        
*/

#ifdef _WIN32

#ifndef DIRENT_INCLUDED
#define DIRENT_INCLUDED

typedef struct DIR DIR;

struct /*KERNEL_API*/ dirent
{
   char *d_name;
};

DIR*            /*KERNEL_API*/ opendir(const char *);
int             /*KERNEL_API*/ closedir(DIR *);
struct dirent*  /*KERNEL_API*/ readdir(DIR *);
void            /*KERNEL_API*/ rewinddir(DIR *);

#endif

#endif
